Page MenuHomePhabricator

refreshLinks.php fails to delete all link entries from nonexistent pages
Closed, ResolvedPublic

Description

In http://quarry.wmflabs.org/query/4585 (which checks templatelinks), there are results that refreshLinks.php had already removed from pagelinks. This bug was introduced in rMWa1e005155921aa23 -- the start ID is no longer restored to its original value before checking each table. The regression was introduced in 1.25.

Event Timeline

PleaseStand updated the task description. (Show Details)
PleaseStand raised the priority of this task from to Needs Triage.
PleaseStand claimed this task.
PleaseStand added subscribers: PleaseStand, aaron, Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2015, 10:08 PM

Change 228417 had a related patch set uploaded (by PleaseStand):
refreshLinks.php: Fix deletion of link entries from nonexistent pages

https://gerrit.wikimedia.org/r/228417

Change 228417 merged by jenkins-bot:
refreshLinks.php: Fix deletion of link entries from nonexistent pages

https://gerrit.wikimedia.org/r/228417

Change 229664 had a related patch set uploaded (by TTO):
refreshLinks.php: Fix deletion of link entries from nonexistent pages

https://gerrit.wikimedia.org/r/229664

Krenair closed this task as Resolved.Aug 6 2015, 3:36 PM

Sounds like that deals with it.

Change 229664 abandoned by TTO:
refreshLinks.php: Fix deletion of link entries from nonexistent pages

Reason:
No reason was given

https://gerrit.wikimedia.org/r/229664

PleaseStand updated the task description. (Show Details)Aug 21 2015, 11:20 AM
PleaseStand set Security to None.

Change 229664 restored by TTO:
refreshLinks.php: Fix deletion of link entries from nonexistent pages

Reason:
OK, I suppose that is reason enough. I'll merge it into the 1.25 branch.

https://gerrit.wikimedia.org/r/229664

Change 229664 merged by jenkins-bot:
refreshLinks.php: Fix deletion of link entries from nonexistent pages

https://gerrit.wikimedia.org/r/229664